Bug 5509 - Packaging scripts get upset when there's an LDAP configuration in the koha_conf.xml
Summary: Packaging scripts get upset when there's an LDAP configuration in the koha_co...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-16 02:05 UTC by Robin Sheat
Modified: 2013-12-05 20:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (4.16 KB, patch)
2010-12-16 05:36 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2010-12-16 02:05:03 UTC
To find the mysql host, username, and password, the scripts use grep and associated things. However, when LDAP connection details are added, these also match the grep, causing confusion.
Comment 1 Robin Sheat 2010-12-16 05:36:27 UTC
Created attachment 2858 [details] [review]
Proposed patch

This uses the xmlstarlet tool to extract info from the config file, and adds it as a dependency to the package.
Comment 2 MJ Ray (software.coop) 2011-01-07 11:13:00 UTC
This bug is mentioned in:
Bug 5509 - use an XML parser to get values	from config http://lists.koha-community.org/pipermail/koha-patches/2010-December/013290.html
Comment 3 Chris Cormack 2011-04-28 03:00:56 UTC
Pushed, please test
Comment 4 Robin Sheat 2011-06-07 05:29:07 UTC
This doesn't appear to have made it into 3.4.1
Comment 6 Robin Sheat 2011-06-07 22:47:23 UTC
Oh right, my bad.
Comment 7 Jared Camins-Esakov 2012-12-31 00:23:25 UTC
There have been no further reports of problems so I am marking this bug resolved.